package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 尽调时间确认
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("confirmation_due_diligence_time")
public class ConfirmationDueDiligenceTime extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * 尽调时间
     */
    @TableField("due_diligence_time")
    private Date dueDiligenceTime;

    /**
     * 联系人姓名
     */
    @TableField("contact_name")
    private String contactName;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 公司名称
     */
    @TableField(exist = false)
    private String enterpriseName;

    /**
     * 统一社会信用代码
     */
    @TableField(exist = false)
    private String socialCreditCode;

    @TableField(exist = false)
    private String taskId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }

    public Date getDueDiligenceTime() {
        return dueDiligenceTime;
    }

    public void setDueDiligenceTime(Date dueDiligenceTime) {
        this.dueDiligenceTime = dueDiligenceTime;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ConfirmationDueDiligenceTime{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", dueDiligenceTime=" + dueDiligenceTime +
            ", contactName=" + contactName +
            ", mobile=" + mobile +
            ", remark=" + remark +
        "}";
    }
}
